<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Assign_Driver_To_Group StructType
 * @subpackage Structs
 */
class Assign_Driver_To_Group extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AssignDriverToGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AssignDriverToGroup
     */
    public $AssignDriverToGroup;
    /**
     * Constructor method for Assign_Driver_To_Group
     * @uses Assign_Driver_To_Group::setLogin()
     * @uses Assign_Driver_To_Group::setAssignDriverToGroup()
     * @param \StructType\Login $login
     * @param \StructType\AssignDriverToGroup $assignDriverToGroup
     */
    public function __construct(\StructType\Login $login = null, \StructType\AssignDriverToGroup $assignDriverToGroup = null)
    {
        $this
            ->setLogin($login)
            ->setAssignDriverToGroup($assignDriverToGroup);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Assign_Driver_To_Group
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AssignDriverToGroup value
     * @return \StructType\AssignDriverToGroup|null
     */
    public function getAssignDriverToGroup()
    {
        return $this->AssignDriverToGroup;
    }
    /**
     * Set AssignDriverToGroup value
     * @param \StructType\AssignDriverToGroup $assignDriverToGroup
     * @return \StructType\Assign_Driver_To_Group
     */
    public function setAssignDriverToGroup(\StructType\AssignDriverToGroup $assignDriverToGroup = null)
    {
        $this->AssignDriverToGroup = $assignDriverToGroup;
        return $this;
    }
}
